Bug 211849 - graphics/rubygem-rmagick needs PORTREVISION bump after ImageMagick upgrade
Summary: graphics/rubygem-rmagick needs PORTREVISION bump after ImageMagick upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-14 23:18 UTC by Miroslav Lachman
Modified: 2016-12-23 14:37 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2016-08-14 23:18:25 UTC
I don't know who should do it (if maintainter of rubygem-rmagick or ImageMagick) but if ImageMagick is upgraded in ports tree, then pkg will install it with "pkg upgrade" and Redmine is no longer working because Thin will not start - rubygem-rmagick complains about ImageMagick version:

/usr/local/lib/ruby/gems/2.2/gems/bundler-1.12.1/lib/bundler/runtime.rb:89:in `rescue in block (2 levels) in require': There was an error while trying to load the gem 'rbpdf'. (Bundler::GemRequireError)
Gem Load Error is: This installation of RMagick was configured with ImageMagick 6.9.4 but ImageMagick 6.9.5-5 is in use.

Backtrace for gem load error is:
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `block in require'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in `load_dependency'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/usr/local/lib/ruby/gems/2.2/gems/rmagick-2.15.4/lib/rmagick_internal.rb:12:in `<top (required)>'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `block in require'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in `load_dependency'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/usr/local/lib/ruby/gems/2.2/gems/rmagick-2.15.4/lib/rmagick.rb:1:in `<top (required)>'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `block in require'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in `load_dependency'
/usr/local/lib/ruby/gems/2.2/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in `require'
/usr/local/lib/ruby/gems/2.2/gems/rbpdf-1.19.0/lib/rbpdf.rb:58:in `<top (required)>'
/usr/local/lib/ruby/gems/2.2/gems/bundler-1.12.1/lib/bundler/runtime.rb:86:in `require'
/usr/local/lib/ruby/gems/2.2/gems/bundler-1.12.1/lib/bundler/runtime.rb:86:in `block (2 levels) in require'
/usr/local/lib/ruby/gems/2.2/gems/bundler-1.12.1/lib/bundler/runtime.rb:81:in `each'
/usr/local/lib/ruby/gems/2.2/gems/bundler-1.12.1/lib/bundler/runtime.rb:81:in `block in require'
/usr/local/lib/ruby/gems/2.2/gems/bundler-1.12.1/lib/bundler/runtime.rb:70:in `each'
/usr/local/lib/ruby/gems/2.2/gems/bundler-1.12.1/lib/bundler/runtime.rb:70:in `require'
/usr/local/lib/ruby/gems/2.2/gems/bundler-1.12.1/lib/bundler.rb:102:in `require'
/usr/local/www/redmine/config/application.rb:5:in `<top (required)>'
/usr/local/lib/ruby/site_ruby/2.2/rubygems/core_ext/kernel_require.rb:55:in `require'
/usr/local/lib/ruby/site_ruby/2.2/rubygems/core_ext/kernel_require.rb:55:in `require'
/usr/local/www/redmine/config/environment.rb:2:in `<top (required)>'
/usr/local/lib/ruby/site_ruby/2.2/rubygems/core_ext/kernel_require.rb:55:in `require'
/usr/local/lib/ruby/site_ruby/2.2/rubygems/core_ext/kernel_require.rb:55:in `require'
/usr/local/www/redmine/config.ru:3:in `block in <main>'
/usr/local/lib/ruby/gems/2.2/gems/rack-1.6.4/lib/rack/builder.rb:55:in `instance_eval'
/usr/local/lib/ruby/gems/2.2/gems/rack-1.6.4/lib/rack/builder.rb:55:in `initialize'
/usr/local/www/redmine/config.ru:1:in `new'
/usr/local/www/redmine/config.ru:1:in `<main>'
/usr/local/lib/ruby/gems/2.2/gems/thin-1.6.4/lib/rack/adapter/loader.rb:33:in `eval'
/usr/local/lib/ruby/gems/2.2/gems/thin-1.6.4/lib/rack/adapter/loader.rb:33:in `load'
/usr/local/lib/ruby/gems/2.2/gems/thin-1.6.4/lib/rack/adapter/loader.rb:42:in `for'
/usr/local/lib/ruby/gems/2.2/gems/thin-1.6.4/lib/thin/controllers/controller.rb:170:in `load_adapter'
/usr/local/lib/ruby/gems/2.2/gems/thin-1.6.4/lib/thin/controllers/controller.rb:74:in `start'
/usr/local/lib/ruby/gems/2.2/gems/thin-1.6.4/lib/thin/runner.rb:200:in `run_command'
/usr/local/lib/ruby/gems/2.2/gems/thin-1.6.4/lib/thin/runner.rb:156:in `run!'
/usr/local/lib/ruby/gems/2.2/gems/thin-1.6.4/bin/thin:6:in `<top (required)>'
/usr/local/bin/thin:22:in `load'
/usr/local/bin/thin:22:in `<main>'


If rubygem-rmagick had revision bumped, then pkg will upgrade ImageMagick and rubygem-rmagick too and this error never happens.
Comment 1 Torsten Zuehlsdorff freebsd_committer 2016-08-16 12:22:21 UTC
Thanks for the report.

I'm currently working on 211276 and will bring both together.
Comment 2 commit-hook freebsd_committer 2016-12-23 14:37:15 UTC
A commit references this bug:

Author: tz
Date: Fri Dec 23 14:36:20 UTC 2016
New revision: 429267
URL: https://svnweb.freebsd.org/changeset/ports/429267

Log:
  graphics/rubygem-rmagick: Bump PORTREVISION

  After an update of graphics/ImageMagick this port need a bump of PORTREVISION

  PR:          211849
  Reported by: Miroslav Lachman <000.fbsd@quip.cz>
  Approved by: mentors (implicit)

Changes:
  head/graphics/rubygem-rmagick/Makefile
Comment 3 Torsten Zuehlsdorff freebsd_committer 2016-12-23 14:37:51 UTC
Bump committed, thanks for the report!